%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:                   puppet-ovn
Version:                12.4.0
Release:                6%{?dist}
Summary:                Puppet module to setup ovn-northd and ovn-controller
License:                ASL 2.0

URL:                    https://launchpad.net/puppet-ovn

Source0:                https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=12.4.0
Patch0001: 0001-Set-mac-table-size-for-provider-bridges-defined-in-o.patch
Patch0002: 0002-Update-Gemfile-to-pull-spec_helper-from-stable-queen.patch
Patch0003: 0003-Make-sure-ovs-bridge-is-created-before-setting-mac-t.patch
Patch0004: 0004-Add-the-ability-to-configure-ovn-remote-probe-interv.patch
Patch0005: 0005-Add-posibilities-to-set-ovn_openflow_probe_interval-.patch
Patch0006: 0006-Remove-PE-requirement-from-metadata.json.patch

BuildArch:              noarch

Requires:               puppet-stdlib
Requires:               puppet >= 2.7.0

%description
Puppet module to install and configure ovn

%prep
%setup -q -n openstack-ovn-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ovn/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ovn/



%files
%{_datadir}/openstack-puppet/modules/ovn/


%changelog
* Thu May 07 2020 Miguel Garcia <mgarciac@redhat.com> 12.4.0-6
- Remove PE requirement from metadata.json

* Tue Jan 28 2020 Steve Linabery <slinaber@redhat.com> 12.4.0-5
- Add posibilities to set ovn_openflow_probe_interval for controller

* Thu Nov 28 2019 Kamil Sambor <ksambor@redhat.com> 12.4.0-4
- Set mac-table-size for provider bridges defined in 'ovn_bridge_mappings'

* Thu Aug 15 2019 Kamil Sambor <ksambor@redhat.com> 12.4.0-3
- Add the ability to configure ovn-remote-probe-interval (rhbz#1740524)

* Fri Jan 25 2019 Steve Linabery <slinaber@redhat.com> 12.4.0-2
- Make sure ovs bridge is created before setting mac-table-size

* Wed Oct 17 2018 Steve Linabery <slinaber@redhat.com> 12.4.0-1
- Update to 12.4.0
- Update Gemfile to pull spec_helper from stable/queens
- Set mac-table-size for provider bridges defined in 'ovn_bridge_mappings'

* Tue Feb 20 2018 RDO <dev@lists.rdoproject.org> 12.3.0-1
- Update to 12.3.0



